Translations
Translations let you create and manage language variants of your headless courses.
Get translations Embed Automate and above
Use this endpoint to list all translations for a parent course and surface missing/deleted screen differences.
GET
/v1/headless/translations/{id}Path parameters
| Field | Description | Options |
|---|---|---|
id | Source course ID | — |
Create translation Embed Automate and above
Use this endpoint to create a new translation for a course.
POST
/v1/headless/translation/translate/{id}Path parameters
| Field | Description | Options |
|---|---|---|
id | Source course ID | — |
Body parameters
| Field | Type | Required | Desc | Options |
|---|---|---|---|---|
language | string | Yes | BCP-47 language code to translate into (e.g. fr, es-ES) | — |
Set default translation Embed Automate and above
Use this endpoint to make a translation the default version of the course.
POST
/v1/headless/translation/default/{id}/{language}Path parameters
| Field | Description | Options |
|---|---|---|
id | Source course ID | — |
language | BCP-47 language code of the translation to promote | — |
Sync translation Embed Automate and above
Use this endpoint to sync a translation with latest source-course screen changes.
POST
/v1/headless/translation/sync/{id}/{language}Path parameters
| Field | Description | Options |
|---|---|---|
id | Source course ID | — |
language | BCP-47 language code of the translation to sync | — |
Delete translation Embed Automate and above
Use this endpoint to delete a translation for a parent course and language.
DELETE
/v1/headless/translation/{id}/{language}Path parameters
| Field | Description | Options |
|---|---|---|
id | Source course ID | — |
language | BCP-47 language code of the translation to delete | — |